ad_library {

    APM callbacks for the todo package

}

namespace eval todo {}
namespace eval todo::apm {}

ad_proc -public todo::apm::after_mount {
    -package_id:required
    -node_id:required
} {
    
    Grant create privilege to members of the subsite on the todo instance

} {

    set group_id ""

    # Make sure we have a url to work with
    set url [site_node::get_url -node_id $node_id]

    while { $group_id eq "" && $url ne "" } {
        
        array set node_array [site_node::get -url $url]

        set group_id [application_group::group_id_from_package_id \
                          -package_id $node_array(package_id) \
                          -no_complain]

        # move up a level
        set url [string trimright $url /]
        set url [string range $url 0 [string last / $url]]
    }

    if { $group_id ne "" } {

        permission::grant \
            -party_id $group_id \
            -object_id $package_id \
            -privilege "create"
    }
    
}
